Bug 206943 - [EXP-RUN] CentOS ports: for c6_64, install 32bit libraries alongside.
Summary: [EXP-RUN] CentOS ports: for c6_64, install 32bit libraries alongside.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-05 07:15 UTC by Johannes Jost Meixner
Modified: 2016-04-22 13:36 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2016-02-05 07:15:37 UTC
Now that we have CentOS 6.7 in the ports tree, there's a desire to include 32bit libraries alongside with 64bit libraries.

This will allow to run the (to this day) 32bit-only Linux applications like Flash and Skype. 

Please take the diff in https://reviews.freebsd.org/D5141#f72ba972 for an exp run. While it's been extensively tested inside of poudriere, I currently don't have the resources to test all its dependencies with it.

Obviously I'll work on fixing the remaining issues.
Comment 1 Antoine Brodin freebsd_committer 2016-02-07 17:19:25 UTC
The c6_64 ports are unfetchable, that doesn't look good.
Comment 2 Antoine Brodin freebsd_committer 2016-02-07 21:20:48 UTC
moving compat-libstdc++-296 from LIB_ to BIN_ and removing the duplicate lines from distinfo.x86_64 fixes the problem with emulators/linux_base-c6
Comment 3 Antoine Brodin freebsd_committer 2016-02-07 21:29:24 UTC
distinfo.x86_64 is not good for www/linux-c6-flashplugin11:

=======================<phase: checksum       >============================
===> Fetching all distfiles required by linux-c6_64-flashplugin-11.2r202.559 for building
=> No SHA256 checksum recorded for flashplugin/11.2r202.559/install_flash_player_11_linux.i386.tar.gz.
Comment 4 Antoine Brodin freebsd_committer 2016-02-09 09:14:46 UTC
over to miwi@

- in emulators/linux_base-c6 ,  compat-libstdc++-296-2.96-144.el6.i686.rpm needs to be moved from LIB_ to BIN_ and the duplicate lines from distinfo.x86_64 removed

- www/linux-c6-flashplugin11/distinfo.x86_64  needs to be updated
Comment 5 Johannes Jost Meixner freebsd_committer 2016-02-09 13:08:36 UTC
Updated D5141
Comment 6 Dmitry Chagin freebsd_committer 2016-02-23 12:55:11 UTC
(In reply to Antoine Brodin from comment #4)
Can someone explain what we wait for, please?
Comment 7 Antoine Brodin freebsd_committer 2016-02-23 13:19:38 UTC
- This is not the only exp-run in the queue

- The patch doesn't apply, there are rejects
Comment 8 Johannes Jost Meixner freebsd_committer 2016-02-29 08:58:13 UTC
Patch updated.

It would be really quite helpful if you were able to show *which* things it rejects the next time it does that.
Comment 9 Antoine Brodin freebsd_committer 2016-03-04 06:27:54 UTC
Exp-run looks fine
Comment 10 Johannes Jost Meixner freebsd_committer 2016-03-04 12:29:10 UTC
Awesome.
Comment 11 miguelmclara 2016-03-12 16:09:31 UTC
I have a patch for linux-sublime3 adding 64bit support should I had it here? or create a new PR ?
Comment 12 Johannes Jost Meixner freebsd_committer 2016-03-14 14:22:57 UTC
Create another patch please. sublime isn't part of the things shipped by CentOS.
Comment 13 commit-hook freebsd_committer 2016-04-13 01:49:43 UTC
A commit references this bug:

Author: swills
Date: Wed Apr 13 01:49:31 UTC 2016
New revision: 413168
URL: https://svnweb.freebsd.org/changeset/ports/413168

Log:
  CentOS ports: for c6_64, install 32bit libraries alongside

  PR:		206943
  Submitted by:	xmj

Changes:
  head/Mk/bsd.linux-rpm.mk
  head/Mk/bsd.port.mk
  head/accessibility/linux-c6-atk/distinfo.x86_64
  head/accessibility/linux-c6-atk/pkg-plist.x86_64
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-lib/distinfo.x86_64
  head/audio/linux-c6-alsa-lib/pkg-plist.x86_64
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-oss/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-oss/pkg-plist.x86_64
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-pulseaudio/pkg-plist.x86_64
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-arts/distinfo.x86_64
  head/audio/linux-c6-arts/pkg-plist.x86_64
  head/audio/linux-c6-esound/distinfo.x86_64
  head/audio/linux-c6-esound/pkg-plist.x86_64
  head/audio/linux-c6-flac/distinfo.x86_64
  head/audio/linux-c6-flac/pkg-plist.x86_64
  head/audio/linux-c6-libaudiofile/distinfo.x86_64
  head/audio/linux-c6-libaudiofile/pkg-plist.x86_64
  head/audio/linux-c6-libogg/distinfo.x86_64
  head/audio/linux-c6-libogg/pkg-plist.x86_64
  head/audio/linux-c6-libsndfile/distinfo.x86_64
  head/audio/linux-c6-libsndfile/pkg-plist.x86_64
  head/audio/linux-c6-libvorbis/distinfo.x86_64
  head/audio/linux-c6-libvorbis/pkg-plist.x86_64
  head/audio/linux-c6-mikmod/distinfo.x86_64
  head/audio/linux-c6-mikmod/pkg-plist.x86_64
  head/audio/linux-c6-nas-libs/distinfo.x86_64
  head/audio/linux-c6-nas-libs/pkg-plist.x86_64
  head/audio/linux-c6-openal-soft/distinfo.x86_64
  head/audio/linux-c6-openal-soft/pkg-plist.x86_64
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-libs/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-libs/pkg-plist.x86_64
  head/audio/linux-c6-pulseaudio-utils/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-utils/pkg-plist.x86_64
  head/audio/linux-c6-sdl_mixer/distinfo.x86_64
  head/audio/linux-c6-sdl_mixer/pkg-plist.x86_64
  head/databases/linux-c6-sqlite3/distinfo.x86_64
  head/databases/linux-c6-sqlite3/pkg-plist.x86_64
  head/devel/linux-c6-dbus-glib/distinfo.x86_64
  head/devel/linux-c6-dbus-glib/pkg-plist.x86_64
  head/devel/linux-c6-dbus-libs/distinfo.x86_64
  head/devel/linux-c6-dbus-libs/pkg-plist.x86_64
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-devtools/distinfo.x86_64
  head/devel/linux-c6-devtools/pkg-plist.x86_64
  head/devel/linux-c6-libgfortran/distinfo.x86_64
  head/devel/linux-c6-libgfortran/pkg-plist.x86_64
  head/devel/linux-c6-libglade2/distinfo.x86_64
  head/devel/linux-c6-libglade2/pkg-plist.x86_64
  head/devel/linux-c6-libpciaccess/distinfo.x86_64
  head/devel/linux-c6-libpciaccess/pkg-plist.x86_64
  head/devel/linux-c6-libsigc++20/distinfo.x86_64
  head/devel/linux-c6-libsigc++20/pkg-plist.x86_64
  head/devel/linux-c6-ncurses-base/Makefile
  head/devel/linux-c6-nspr/distinfo.x86_64
  head/devel/linux-c6-nspr/pkg-plist.x86_64
  head/devel/linux-c6-qt47/Makefile
  head/devel/linux-c6-qt47/distinfo.x86_64
  head/devel/linux-c6-qt47/pkg-plist.x86_64
  head/devel/linux-c6-sdl12/distinfo.x86_64
  head/devel/linux-c6-sdl12/pkg-plist.x86_64
  head/dns/linux-c6-libasyncns/distinfo.x86_64
  head/dns/linux-c6-libasyncns/pkg-plist.x86_64
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo.i686
  head/emulators/linux_base-c6/distinfo.x86_64
  head/emulators/linux_base-c6/pkg-plist.x86_64
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c6-curl/distinfo.x86_64
  head/ftp/linux-c6-curl/pkg-plist.x86_64
  head/graphics/linux-c6-cairo/distinfo.x86_64
  head/graphics/linux-c6-cairo/pkg-plist.x86_64
  head/graphics/linux-c6-dri/Makefile
  head/graphics/linux-c6-dri/distinfo.x86_64
  head/graphics/linux-c6-dri/pkg-plist.x86_64
  head/graphics/linux-c6-dri-compat/distinfo.x86_64
  head/graphics/linux-c6-gdk-pixbuf2/distinfo.x86_64
  head/graphics/linux-c6-gdk-pixbuf2/pkg-plist.x86_64
  head/graphics/linux-c6-glx-utils/Makefile
  head/graphics/linux-c6-jpeg/Makefile
  head/graphics/linux-c6-jpeg/distinfo.x86_64
  head/graphics/linux-c6-jpeg/pkg-plist.x86_64
  head/graphics/linux-c6-libGLU/distinfo.x86_64
  head/graphics/linux-c6-libGLU/pkg-plist.x86_64
  head/graphics/linux-c6-png/distinfo.x86_64
  head/graphics/linux-c6-png/pkg-plist.x86_64
  head/graphics/linux-c6-sdl_image/distinfo.x86_64
  head/graphics/linux-c6-sdl_image/pkg-plist.x86_64
  head/graphics/linux-c6-sdl_ttf/distinfo.x86_64
  head/graphics/linux-c6-sdl_ttf/pkg-plist.x86_64
  head/graphics/linux-c6-tiff/distinfo.x86_64
  head/graphics/linux-c6-tiff/pkg-plist.x86_64
  head/lang/linux-c6-tcl85/distinfo.x86_64
  head/lang/linux-c6-tcl85/pkg-plist.x86_64
  head/multimedia/linux-c6-libtheora/distinfo.x86_64
  head/multimedia/linux-c6-libtheora/pkg-plist.x86_64
  head/multimedia/linux-c6-libv4l/distinfo.x86_64
  head/multimedia/linux-c6-libv4l/pkg-plist.x86_64
  head/net/linux-c6-avahi-libs/distinfo.x86_64
  head/net/linux-c6-avahi-libs/pkg-plist.x86_64
  head/net/linux-c6-openldap/distinfo.x86_64
  head/net/linux-c6-openldap/pkg-plist.x86_64
  head/net/linux-c6-tcp_wrappers-libs/distinfo.x86_64
  head/net/linux-c6-tcp_wrappers-libs/pkg-plist.x86_64
  head/print/linux-c6-cups-libs/distinfo.x86_64
  head/print/linux-c6-cups-libs/pkg-plist.x86_64
  head/security/linux-c6-cyrus-sasl2/Makefile
  head/security/linux-c6-cyrus-sasl2/distinfo.x86_64
  head/security/linux-c6-cyrus-sasl2/pkg-plist.x86_64
  head/security/linux-c6-gnutls/distinfo.x86_64
  head/security/linux-c6-gnutls/pkg-plist.x86_64
  head/security/linux-c6-libgcrypt/distinfo.x86_64
  head/security/linux-c6-libgcrypt/pkg-plist.x86_64
  head/security/linux-c6-libgpg-error/distinfo.x86_64
  head/security/linux-c6-libgpg-error/pkg-plist.x86_64
  head/security/linux-c6-libssh2/distinfo.x86_64
  head/security/linux-c6-libssh2/pkg-plist.x86_64
  head/security/linux-c6-libtasn1/distinfo.x86_64
  head/security/linux-c6-libtasn1/pkg-plist.x86_64
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-nss/distinfo.x86_64
  head/security/linux-c6-nss/pkg-plist.x86_64
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/distinfo.i686
  head/security/linux-c6-openssl/distinfo.x86_64
  head/security/linux-c6-openssl/pkg-plist.x86_64
  head/security/linux-c6-openssl-compat/distinfo.x86_64
  head/security/linux-c6-openssl-compat/pkg-plist.x86_64
  head/textproc/linux-c6-aspell/distinfo.x86_64
  head/textproc/linux-c6-aspell/pkg-plist.x86_64
  head/textproc/linux-c6-expat/distinfo.x86_64
  head/textproc/linux-c6-expat/pkg-plist.x86_64
  head/textproc/linux-c6-libxml2/distinfo.x86_64
  head/textproc/linux-c6-libxml2/pkg-plist.x86_64
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-qt47-webkit/Makefile
  head/www/linux-c6-qt47-webkit/distinfo.x86_64
  head/www/linux-c6-qt47-webkit/pkg-plist.x86_64
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c6-xorg-libs/distinfo.x86_64
  head/x11/linux-c6-xorg-libs/pkg-plist.x86_64
  head/x11-fonts/linux-c6-fontconfig/distinfo.x86_64
  head/x11-fonts/linux-c6-fontconfig/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/distinfo.x86_64
  head/x11-toolkits/linux-c6-gtk2/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-openmotif/distinfo.x86_64
  head/x11-toolkits/linux-c6-openmotif/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-pango/distinfo.x86_64
  head/x11-toolkits/linux-c6-pango/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-qt47-x11/Makefile
  head/x11-toolkits/linux-c6-qt47-x11/distinfo.x86_64
  head/x11-toolkits/linux-c6-qt47-x11/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-tk85/distinfo.x86_64
  head/x11-toolkits/linux-c6-tk85/pkg-plist.x86_64
Comment 14 Steve Wills freebsd_committer 2016-04-13 01:51:32 UTC
Committed, thanks!
Comment 15 Steve Wills freebsd_committer 2016-04-22 13:36:17 UTC
Actually close.